Enhavo
Indekso 🔎︎

# Sin Function

Liveras la sinuson de angulo. La angulo estas specifita en radianoj. La rezulto estas inter -1 kaj 1.

Using the angle Alpha, the Sin function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

### Syntax:

    Sin (Number As Double) As Double

### Return value:

Double

### Parameters:

Number: Numera esprimo kiu difinas la angulon en radianoj por kiu kalkuli la sinuson.

To convert degrees to radians, multiply degrees by Pi/180, and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Nevalida procedurvoko

### Example:

    REM En ĉi tiu ekzemplo, la sekva elemento eblas por orta triangulo:
    REM La latero kontraŭ la angulo kaj la angulo (en gradoj) por kalkuli la longon de la hipotenuzo:
    Sub ExampleSine
    REM Pi = 3,1415926 estas difinita variablo.
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Tajpu la longon de la kontraŭa latero: ","kontraŭa latero")
        dAlpha = InputBox("Tajpu la angulon Alfa (en gradoj): ","Alpha")
        Print "La longo de la hipotenuzo estas"; (d1 / sin (dAlpha * Pi / 180))
    End Sub

Rilataj temoj

Atn Function

Cos Function

Tan Function